#----------------------------------------------------------------------------
#       GNU Makefile
#----------------------------------------------------------------------------
MAKEFILE        = Makefile.libgem
DEPENDENCY_FILE = .depend.Makefile.libgem
LIB_UNCHECKED   = libgem.a
SHLIB_UNCHECKED = libgem.$(SOEXT)

static_libs_only = 0


FILES = \
  JGAccessManager \
  JGAlarm \
  JGAlarmManager \
  JGAttrData \
  JGAttribute \
  JGBitsetSub \
  JGClass \
  JGCommDevice \
  JGCommManager \
  JGConfig \
  JGControlManager \
  JGEnumSub \
  JGEquipment \
  JGErrorList \
  JGEvent \
  JGEventManager \
  JGInfoManager \
  JGLimit \
  JGLimitBorder \
  JGLimitManager \
  JGLogFileManager \
  JGManager \
  JGMateMoveManager \
  JGObjTraverser \
  JGObject \
  JGObjectManager \
  JGPluralSub \
  JGProcProgManager \
  JGProcess \
  JGProcessManager \
  JGRecipe \
  JGRecipeClass \
  JGRecipeManager \
  JGReport \
  JGResourceManager \
  JGScalarSub \
  JGServiceManager \
  JGSpecification \
  JGSpoolDB \
  JGSpoolManager \
  JGStateTask \
  JGSubSystem \
  JGTaskTrigger \
  JGTerminalManager \
  JGTime \
  JGTimeModule \
  JGTrace \
  JGTraceManager \
  JGTriggerInfo \
  JGVariable \
  var_func \
  arams/Arams \
  dbio/DBAlarmElm \
  dbio/DBConfigElm \
  dbio/DBEventElm \
  dbio/DBIODeviceElm \
  dbio/DBLimitElm \
  dbio/DBReportElm \
  dbio/DBSpoolElm \
  dbio/DBSubSystemElm \
  dbio/DBTraceElm \
  dbio/DBTriggerInfoElm \
  dbio/DBVariableElm \
  sac/JGBitSetSensor \
  sac/JGIODevManager \
  sac/JGIODevice \
  sac/JGWordSetSensor

VPATH = .:arams:dbio:sac

LIB   = $(LIB_UNCHECKED)
SHLIB = $(SHLIB_UNCHECKED)

#----------------------------------------------------------------------------
#       Include macros and targets
#----------------------------------------------------------------------------
include $(ACE_ROOT)/include/makeinclude/wrapper_macros.GNU
LSRC   = $(addsuffix .cpp, $(FILES))
ACELIB = -lACE

include $(ACE_ROOT)/include/makeinclude/macros.GNU
include $(ACE_ROOT)/include/makeinclude/rules.common.GNU
include $(ACE_ROOT)/include/makeinclude/rules.nonested.GNU

INSTALL_CHECK = ../lib
ifeq ($(INSTALL_CHECK),)
  INSTALL = $(INSTALL_CHECK)
else
  INSLIB  = $(INSTALL_CHECK)
endif
include $(ACE_ROOT)/include/makeinclude/rules.lib.GNU
include $(ACE_ROOT)/include/makeinclude/rules.local.GNU

CPPFLAGS     += -I. -I../../bee -I../../secs/src -I../../ecm/src -I../../vmelsec/src -I/Developers/src/dtl-3.4.1/lib
ifeq ($(static_libs),1)
  ifneq ($(LIB),)
    CPPFLAGS += -DACE_AS_STATIC_LIBS
  endif
endif


LDFLAGS      += -L/usr/local/lib -L../../bee/lib -L../../secs/lib -L../../ecm/lib -L$(ACE_ROOT)/ace

ACE_SHLIBS = -lDTL -lodbc -lxerces-c -lee2 -lsecs -lecm $(ACELIB)

#----------------------------------------------------------------------------
#       Local targets
#----------------------------------------------------------------------------

realclean: clean 

